跳转到主要内容
监控与采集相关接口/自动修复
GETMonitoring起始版本 1.0同步需要认证

查询修复执行列表

列表执行历史修复策略。

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

路径参数

查询参数

请求参数

路径参数

  • policyIdString必填

    策略ID。

查询参数

  • limitInteger

    最多返回的记录数。

    示例: 0

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • itemsList

    条目列表。

    示例: (nested array)

    • idString

      资源ID。

      示例: exec-001-abc

    • policyIdString

      策略ID。

      示例: policy-001-abc

    • agentIdString

      代理ID。

      示例: agent-001-xyz

    • triggeredAtString

      已触发时间。

      示例: 2026-01-15T08:00:00Z

    • actionString

      动作名称。

      示例: restart_service

    • statusString

      状态信息。

      示例: succeeded

    • verifiedAtString

      已验证时间。

      示例: 2026-01-15T08:00:00Z

    • errorString

      错误码。操作成功时为 null,失败时返回具体错误信息。

      示例: connection refused

    • retryCountInteger

      重试数量。

      示例: 20

  • totalInteger

    返回结果总数。

    示例: 15

  • limitInteger

    最大返回条目数。

    示例: 20

  • offsetInteger

    查询起始偏移量。

    示例: 20

请求地址

GET/api/v1/monitoring/remediation-policies/{policyId}/executions

/api/v1/monitoring/remediation-policies/{policyId}/executions

操作 ID

ListRemediationExecutions

永久链接

请求示例

curl -X GET '{host}/api/v1/monitoring/remediation-policies/{policyId}/executions' -H 'Authorization: Bearer {token}'

响应示例

200
{
  "items": [
    {}
  ],
  "total": 15,
  "limit": 20,
  "offset": 20
}

变更历史

此 API 暂无变更历史记录。

查看全部变更历史